Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.operation
Class WMSProtocolFactory

    java.lang.Object
      org.deegree.ogcwebservices.wms.operation.WMSProtocolFactory

    public class WMSProtocolFactory

extends Object

Factory that builds the different types of WMS-Requests & Responses.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Andreas Poth , Jeronimo Wanhoff

Constructor Summary
`WMSProtocolFactory()`

Method Summary
`static WMSGetCapabilitiesResult` | `createGetCapabilitiesResponse(OGCWebServiceRequest request, OGCWebServiceException exception, WMSConfigurationType capabilities)` creates an instance of a `WMSGetCapabilitiesResult` object
`static GetFeatureInfoResult` | `createGetFeatureInfoResponse(OGCWebServiceRequest request, OGCWebServiceException exception, String featureInfo)` creates a `WFSGetFeatureInfoResponse` object
`static GetLegendGraphicResult` | `createGetLegendGraphicResponse(AbstractOGCWebServiceRequest request, Document exception)`
`static GetLegendGraphicResult` | `createGetLegendGraphicResponse(OGCWebServiceRequest request, Object legendGraphic)`
`static GetMapResult` | `createGetMapResponse(OGCWebServiceRequest request, OGCWebServiceException exception, Object response)` creates a `WFSGetMapResponse` object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMSProtocolFactory

    public WMSProtocolFactory()

Method Detail

### createGetCapabilitiesResponse

    public static WMSGetCapabilitiesResult createGetCapabilitiesResponse(OGCWebServiceRequest request,
                                                                         OGCWebServiceException exception,
                                                                         WMSConfigurationType capabilities)

  creates an instance of a `WMSGetCapabilitiesResult` object

  Parameters:
    `request` - request that lead to the response
    `exception` - exception if one occuered
    `capabilities` - WMS capabilities
  Returns:
    `WMSGetCapabilitiesResult`

### createGetMapResponse

    public static GetMapResult createGetMapResponse(OGCWebServiceRequest request,
                                                    OGCWebServiceException exception,
                                                    Object response)

  creates a `WFSGetMapResponse` object

  Parameters:
    `request` - a copy of the request that leads to this response
    `exception` - a describtion of an excetion (only if raised)
    `response` - the response to the request
  Returns:
    the result

### createGetFeatureInfoResponse

    public static GetFeatureInfoResult createGetFeatureInfoResponse(OGCWebServiceRequest request,
                                                                    OGCWebServiceException exception,
                                                                    String featureInfo)

  creates a `WFSGetFeatureInfoResponse` object

  Parameters:
    `request` - a copy of the request that leads to this response
    `exception` - a describtion of an excetion (only if raised)
    `featureInfo` -
  Returns:
    the result object

### createGetLegendGraphicResponse

    public static GetLegendGraphicResult createGetLegendGraphicResponse(OGCWebServiceRequest request,
                                                                        Object legendGraphic)

  Parameters:
    `request` -
    `legendGraphic` -
  Returns:
    the result object

### createGetLegendGraphicResponse

    public static GetLegendGraphicResult createGetLegendGraphicResponse(AbstractOGCWebServiceRequest request,
                                                                        Document exception)

  Parameters:
    `request` -
    `exception` -
  Returns:
    the result object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org